Subject: Ticket Assigned - 9583991726/ Need Escalation
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 28 Aug 2022 11:12:55 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9583991726/ Need Escalation Abi                    Yes I know however I didn’t know that delivery charges had to be paid separate so I included the 99 in my voucher. I was then unable to spend this and now have 99 on a voucher when I do not wish to buy anything else           03:02 PM, 28th Aug                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:02 PM, 28th Aug                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:02 PM, 28th Aug                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            03:04 PM, 28th Aug                   New                   If you have any pictures that you would like to share, please do that.            03:04 PM, 28th Aug                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           03:04 PM, 28th Aug                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             03:07 PM, 28th Aug                   Alhamzi                   We will update you if we got any update from our team           03:08 PM, 28th Aug                   Alhamzi                   Do you have any other inquiries that we can help with?           03:08 PM, 28th Aug                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           03:12 PM, 28th Aug                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4788909